This document includes math equations (highlighted in red) which are best viewed with Firefox version 4.0 or higher, or another MathML-aware browser. There is also a PDF version of this document.
libdevice User's Guide (PDF) - v9.2.148 (older) - Last updated June 12, 2018 - Send Feedback

## 3.29. __nv_cosh

Prototype:

    double @__nv_cosh(double %x)

Description:

Calculate the hyperbolic cosine of the input argument `x`.

Returns:

- __nv_cosh(0) returns 1.

- __nv_cosh( ± ∞ ) returns + ∞ .

Note:

For accuracy information for this function see the CUDA C Programming Guide, Appendix D.1, Table 7.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes